version: "3"
services:

  activemq:
    build:
      dockerfile: Dockerfile
      context: .
    environment:
      - LANG=en_US.UTF-8
      - LANGUAGE=en_US:en
      - LC_ALL=en_US.UTF-8
      - ACTIVEMQ_TMP=/tmp
      - TZ=Europe/Amsterdam
    ports:
      - "8161:8161"
      - "61616:61616"
      - "10051:10051"
    volumes:
      - ./docker/activemq/config/activemq.xml:/opt/activemq/conf/activemq.xml
      - ./docker/activemq/config/credentials.properties:/opt/activemq/conf/credentials.properties
    networks:
      ebms-core_network:
        aliases:
          - ebms-activemq
    depends_on:
      - activemq-db
    restart: always

  activemq-db:
    image: bitnami/postgresql:14
    environment:
      - LANG=en_US.UTF-8
      - LANGUAGE=en_US:en
      - LC_ALL=en_US.UTF-8
      - TZ=Europe/Amsterdam
      - POSTGRESQL_USERNAME=${ACTIVEMQ_POSTGRESQL_USERNAME}
      - POSTGRESQL_PASSWORD=${ACTIVEMQ_POSTGRESQL_PASSWORD}
      - POSTGRESQL_DATABASE=activemq
    networks:
      ebms-core_network:
        aliases:
          - amq-db
          - activemq-test-db

networks:
  ebms-core_network:
